let data = [];

function updateData() {
	data = [];
	for(let i=0; i<5; i++) {
		data.push({
			x: Math.random() * 800,
			r: Math.random() * 40
		});
	}
}

function update() {
	d3.select('svg')
		.selectAll('circle')
		.data(data)
		.join('circle')
		.attr('cy', 50)
		.transition()
		.attr('cx', function(d) {
			return d.x;
		})
		.transition()
		.duration(750)
		.ease(d3.easeBounce)
		.attr('r', function(d) {
			return d.r;
		});
}

function updateAll() {
	updateData();
	update();
}

updateAll();